# postquota

Postquota uses the postfix policy delegation protocol to gather statistics per user, and possibly
reject emails if a quota has been exceeded.

User quota limits are fetch from an LDAP server.

It also provides a basic REST API to retrieve useful informations, such as current quotas per user.


## Postfix configuration

Considering postquota runs on port 9001 (the default), add this in `/etc/postfix/master.cf`:
```
submission ....
 ....
 -o smtpd_end_of_data_restrictions=$submission_smtpd_end_of_data_restrictions
```

And add this in `/etc/postfix/main.cf`:
```
submission_smtpd_end_of_data_restrictions = check_policy_service inet:127.0.0.1:9001
```
